twitter4j

## Class StreamController.User

- java.lang.Object
- - twitter4j.StreamController.User

All Implemented Interfaces:
  java.io.Serializable

Enclosing class:
  StreamController

    public final class StreamController.User
    extends java.lang.Object
    implements java.io.Serializable

See Also:
  Serialized Form

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`long` `getId()`
`java.lang.String` `getName()`
`int` `hashCode()`
`boolean` `isDMAccessible()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getId

    public long getId()

#### getName

    public java.lang.String getName()

#### isDMAccessible

    public boolean isDMAccessible()

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`